<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="2.0"
>

	<xsl:output method="html"/>
	
	<xsl:template match="/config">
		<html>
			<head>
				<title>Configure ISOcat</title>
			</head>
			<body>
				<h1>Configure ISOcat</h1>
				<form action="/isocat/manage/config/set" method="post">
					<table style="width:100%">
						<tr>
							<th colspan="3" align="left">System administration</th>
						</tr>
						<tr>
							<td style="width:20%;">Site address</td>
							<td style="width:60%;">
								<input name="admin_site" value="{admin/site}" style="width:95%;"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td style="width:20%;">Static site address</td>
							<td style="width:60%;">
								<input name="admin_static" value="{admin/static}" style="width:95%;"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td>Email address</td>
							<td>
								<input name="admin_email" value="{admin/email}"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td>PID address</td>
							<td>
								<input name="admin_pid" value="{admin/pid}" style="width:95%;"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td colspan="3">&#160;</td>
						</tr>
						<tr>
							<th colspan="3" align="left">Database settings</th>
						</tr>
						<tr>
							<td>host</td>
							<td>
								<input name="database_host" value="{database/host}"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td>port</td>
							<td>
								<input name="database_port" value="{database/port}"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td>database</td>
							<td>
								<input name="database_name" value="{database/name}"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td>user</td>
							<td>
								<input name="database_user" value="{database/user}"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td>password</td>
							<td>
								<input type="password" name="database_password" value="{database/password}"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td>connection pool size</td>
							<td>
								<input name="database_pool" value="{database/pool}"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td>concurrent thread count</td>
							<td>
								<input name="database_concurrency" value="{database/concurrency}"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td colspan="3">&#160;</td>
						</tr>
						<tr>
							<th colspan="3" align="left">SMTP settings</th>
						</tr>
						<tr>
							<td>SMTP server</td>
							<td>
								<input name="email_server" value="{email/server}"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td>user</td>
							<td>
								<input name="email_user" value="{email/user}"/>
							</td>
							<td>(blank for anonymous SMTP server)</td>
						</tr>
						<tr>
							<td>password</td>
							<td>
								<input type="password" name="email_password" value="{email/password}"/>
							</td>
							<td>(blank for anonymous SMTP server)</td>
						</tr>
						<tr>
							<td colspan="3">&#160;</td>
						</tr>
						<tr>
							<th colspan="3" align="left">Forum settings</th>
						</tr>
						<tr>
							<td>forum address</td>
							<td>
								<input name="forum_site" value="{forum/site}" style="width:95%;"/>
							</td>
							<td/>
						</tr>
						<tr>
							<td>forum directory</td>
							<td>
								<input name="forum_dir" value="{forum/dir}" style="width:95%;"/>
							</td>
							<td>(blank for non-local forum, i.e., to disable user account sync)</td>
						</tr>
						<tr>
							<td>user</td>
							<td>
								<input name="forum_user" value="{forum/user}"/>
							</td>
							<td>(leave blank for non-local forum)</td>
						</tr>
						<tr>
							<td>password</td>
							<td>
								<input type="password" name="forum_password" value="{forum/password}"/>
							</td>
							<td>(leave blank for non-local forum)</td>
						</tr>
						<tr>
							<td colspan="3">&#160;</td>
						</tr>
						<tr>
							<th colspan="3" align="left">Authentication priority</th>
						</tr>
						<tr>
							<td>HTTP Basic authentication</td>
							<td>
								<input name="basic_priority" value="{authentication/basic/@priority}"/>
							</td>
							<td>(set to 1 to make this the primary authentication method)</td>
						</tr>
						<tr>
							<td>Shibboleth authentication</td>
							<td>
								<input name="shib_priority" value="{authentication/shibboleth/@priority}"/>
							</td>
							<td>(set to 2 to make this the secondary authentication method, or leave blank to disable Shibboleth authentication)</td>
						</tr>
						<tr>
							<td colspan="3">&#160;</td>
						</tr>
						<tr>
							<th colspan="3" align="left">Shibboleth settings</th>
						</tr>
						<tr>
							<td>Login URL</td>
							<td>
								<input name="shib_sso" value="{authentication/shibboleth/sso}" style="width:95%;"/>
							</td>
							<td>(leave blank for disabled Shibboleth authentication)</td>
						</tr>
						<tr>
							<td>Logout URL</td>
							<td>
								<input name="shib_slo" value="{authentication/shibboleth/slo}" style="width:95%;"/>
							</td>
							<td>(leave blank for disabled Shibboleth authentication)</td>
						</tr>
						<tr>
							<td>Check token URL</td>
							<td>
								<input name="shib_token" value="{authentication/shibboleth/token}" style="width:95%;"/>
							</td>
							<td>(leave blank for disabled Shibboleth authentication)</td>
						</tr>
						<tr>
							<td>Shibboleth header fallback chain</td>
							<td>
								<input name="shib_header" value="{authentication/shibboleth/header}" style="width:95%;"/>
							</td>
							<td>(leave blank for disabled Shibboleth authentication)</td>
						</tr>
						<tr>
							<td colspan="2" align="right">
								<input type="submit" value="save"/>
							</td>
						</tr>
					</table>
				</form>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
